Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt.event
Class MouseEvent

    java.lang.Object
      java.util.EventObject
          charva.awt.event.AWTEvent
              charva.awt.event.InputEvent
                  charva.awt.event.MouseEvent

All Implemented Interfaces:
  java.io.Serializable

public class MouseEvent
extends InputEvent

An event which encapsulates information about a mouse-click.

See Also:
  Serialized Form

Field Summary
`protected int` | `button` Specified which button was pressed, released or clicked.
`static int` | `BUTTON1`
`static int` | `BUTTON2`
`static int` | `BUTTON3`
`protected int` | `clickcount`
`protected int` | `modifiers` Specifies whether the button was pressed, released or clicked.
`static int` | `MOUSE_CLICKED`
`static int` | `MOUSE_PRESSED`
`static int` | `MOUSE_RELEASED`
`protected int` | `x`
`protected int` | `y`

Fields inherited from class charva.awt.event.AWTEvent
`ACTION_PERFORMED, ADJUSTMENT_EVENT, FOCUS_GAINED, FOCUS_LOST, GARBAGE_COLLECTION, INVOCATION_EVENT, ITEM_STATE_CHANGED, KEY_PRESSED, KEY_TYPED, LIST_SELECTION, MOUSE_EVENT, PAINT_EVENT, RESERVED_ID_MAX, SCROLL_EVENT, SYNC_EVENT, WINDOW_CLOSING, WINDOW_OPENED`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`MouseEvent(Component source_, int modifiers_, int x_, int y_, int clickcount_, int button_)`

Method Summary
`int` | `getButton()`
`int` | `getClickCount()`
`int` | `getModifiers()`
`int` | `getX()`
`int` | `getY()`
`java.lang.String` | `toString()`

Methods inherited from class charva.awt.event.InputEvent
`consume, isConsumed`

Methods inherited from class charva.awt.event.AWTEvent
`getID`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### modifiers

    protected int modifiers

  Specifies whether the button was pressed, released or clicked.

### x

    protected int x

### y

    protected int y

### button

    protected int button

  Specified which button was pressed, released or clicked.

### clickcount

    protected int clickcount

### BUTTON1

    public static final int BUTTON1

See Also:
  Constant Field Values

### BUTTON2

    public static final int BUTTON2

See Also:
  Constant Field Values

### BUTTON3

    public static final int BUTTON3

See Also:
  Constant Field Values

### MOUSE_PRESSED

    public static final int MOUSE_PRESSED

See Also:
  Constant Field Values

### MOUSE_RELEASED

    public static final int MOUSE_RELEASED

See Also:
  Constant Field Values

### MOUSE_CLICKED

    public static final int MOUSE_CLICKED

See Also:
  Constant Field Values

Constructor Detail

### MouseEvent

    public MouseEvent(Component source_,
                      int modifiers_,
                      int x_,
                      int y_,
                      int clickcount_,
                      int button_)

Method Detail

### getModifiers

    public int getModifiers()

### getX

    public int getX()

### getY

    public int getY()

### getClickCount

    public int getClickCount()

### getButton

    public int getButton()

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD